Summary: An X based image file viewer and manipulator.
Name: xv
Version: 3.10a
Release: 23
Copyright: Shareware
Group: Amusements/Graphics
Source0: ftp://ftp.cis.upenn.edu/pub/xv/xv-%{version}.tar.gz
Source1: ftp://swrinde.nde.swri.edu/pub/png/applications/xv-3.10a-png-1.2d.tar.gz
Patch0: xv-3.10a-linux.patch
Patch1: xv-3.10a.JPEG-patch
Patch2: xv-3.10a-glibc.patch
Patch3: xv-3.10a-grabpatch
Patch4: xv-3.10a-deepcolor.patch
Patch5: xv-3.10a-gifpatch
Patch6: xv-3.10a-longname.patch
Patch7: xv-3.10a-pdf.patch
Patch9: xv-3.10a.TIFF-patch
Url: http://www.trilon.com/xv/xv.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package docs
Summary: Document to xv
Requires: xv, ghostscript
Group: Amusements/Graphics

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

%description docs
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

This package contains the document to xv.

%prep
%setup -q -a 1
patch -p1 < xvpng.diff
%patch0 -p1 -b .linux
%patch1 -p0 -b .jpegpatc
%patch2 -p1 -b .glibc
%patch3 -p1 -b .grab
%patch4 -p0 -b .deepcolor
%patch5 -p0 -b .gifpatch
%patch6 -p1 -b .longname
%patch7 -p0 -b .pdfpatch
%patch9 -p0 -b .tiffpatch

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}

make	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	LIBDIR=$RPM_BUILD_ROOT%{_docdir}/%{name} \
	install

strip $RPM_BUILD_ROOT/usr/X11R6/bin/{xv,bggen,vdcomp,xcmap,xvpictoppm}
mkdir -p $RPM_BUILD_ROOT//etc/X11/applnk/Graphics

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/xv.desktop <<EOF
[Desktop Entry]
Name=xv
Comment=An X based image file viewer and manipulator.
Exec=xv
Terminal=0
Type=Application
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS CHANGELOG IDEAS 
%config /etc/X11/applnk/Graphics/xv.desktop
/usr/X11R6/bin/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xvpictoppm
/usr/X11R6/man/*/*

%files docs
%defattr(-,root,root)
%doc docs/{bmp.doc,epsf.ps,gif.ack,gif.aspect,gif87.doc,gif89.doc}
%doc docs/{help,xpm.ps,vdcomp.man,penn.policy,xv.ann,xv.blurb}
%doc docs/xvdocs.ps

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against new libpng

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_docdir}

* Tue Jul 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix doc inclusion

* Tue Jul 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't use /usr/doc directly
- use %%{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 31 2000 Than Ngo <than@redhat.de>
- split into xv and xv-docs packages (Bug#11043)

* Tue May 30 2000 Ngo Than
- rebuild for 7.0
- gzip man pages
- remove wmconfig, add xv.desktop

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- build for powertools
- apply a pile of patches

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
